﻿using C1.C1Pdf;
using C1.Win.C1Document;
using C1.Win.C1Document.Util;
using System;
using System.Drawing;
using System.Globalization;
using System.IO;
using System.Runtime.Serialization;
using System.Windows.Forms;
using System.Xml.Serialization;

namespace C1FlexReportMultiDocument
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        
        private void Form1_Load(object sender, EventArgs e)
        {

            c1FlexReport1.Load("..\\..\\About FlexReport.flxr", "About FlexReport");
            c1FlexReport2.Load("..\\..\\About PDF.flxr", "About PDF");
            c1FlexViewer1.DocumentSource = c1FlexReport1;
            c1FlexViewer2.DocumentSource = c1FlexReport2;
        }

        private void button1_Click(object sender, EventArgs e)
        {

            //Merge multiple report using C1PdfDocument
            C1PdfDocument _pdfDoc = new C1PdfDocument();
            _pdfDoc.AddC1FlexReport(c1FlexReport1);
            _pdfDoc.AddC1FlexReport(c1FlexReport2);
            _pdfDoc.RenderPdf(true);
            _pdfDoc.Save("MergeReport.pdf");
            //Display in viewer
            C1PdfDocumentSource c1PdfDocumentSource = new C1PdfDocumentSource();
            c1PdfDocumentSource.LoadFromFile("MergeReport.pdf");
            c1FlexViewer3.DocumentSource = c1PdfDocumentSource;
        }
    }
}
